#!/bin/bash

set -e

cd "`dirname "$0"`"
SCRIPT_DIR=`pwd`

function cleanup()
{
	set +e
	[ -n "$sources_list" ] && /bin/rm -f "$sources_list"
	set -e
}

trap cleanup ERR


cd /

/usr/bin/apt-key add "$SCRIPT_DIR/Liskom_public.key"

sources_list=`tempfile`
echo "deb file://$SCRIPT_DIR k2 main" > "$sources_list"
# --yes --force-yes --allow-unauthenticated
APT_FLAGS="-o Dir::Etc::SourceList=$sources_list \
	--yes"

/usr/bin/apt-get -q -y purge ttf-kochi-mincho || echo "warning: ttf-kochi-mincho not purged"

/usr/bin/apt-get $APT_FLAGS update
/usr/bin/apt-get $APT_FLAGS install k2

echo "install.sh: success"
echo "install.sh: please reboot"

cleanup

#!! do not reboot automatically after installation
# installation process cannot know for sure whether it is safe to reboot
# the system or not
# /sbin/halt


