#!/bin/bash


report_dir=/tmp/k2report
info_file="$report_dir/info.txt"
report_tgz="/tmp/k2-report-`/bin/date '+%Y%m%d-%H%M%S'`.tgz"
/bin/rm -Rf "$report_dir"
/bin/mkdir -p "$report_dir"


function print_line()
{
	echo -ne \
		"******************************************************\n\n\n" \
		>> "$info_file"
}

function report()
{
	echo "$1" >> "$info_file"
	eval "$1" >> "$info_file" 2>&1
	print_line
}

function collect()
{
	/bin/cp -Rfv "$1" "$report_dir" >> "$info_file" 2>&1
	print_line
}

report "/bin/dmesg"
report "/bin/ps ax uww"
report "/usr/bin/top -b -n 1"
report "/usr/bin/lshal"
report "/usr/bin/udevinfo --export-db"
report "/bin/uname -a"
report "/usr/sbin/lsusb -v"
report "/usr/bin/lspci -v"
report "/sbin/lsmod"
report "/bin/ls -laRF /dev"
report "/usr/bin/dpkg --status k2"
report "/usr/bin/dpkg --status openoffice.org-writer"
report "/usr/bin/dpkg --status openoffice.org-calc"
report "/usr/bin/dpkg --status poppler-utils"
report "/usr/bin/dpkg --status ghostscript"
report "/usr/bin/dpkg --status python"
report "/bin/ls -laRF /opt/k2"

collect "/var/log/k2-run.log"
collect "/var/log/k2-upgrade.log"
collect "/etc/evtouch/config"
collect "/etc/X11/k2-xorg.conf"
collect "/opt/k2/k2-xorg.conf-main"

collect "/etc/X11/xorg.conf"
collect "/var/log/Xorg.0.log"
collect "/var/log/Xorg.1.log"
collect "/var/log/messages"

/bin/sync

/bin/tar czf "$report_tgz" "$report_dir"

/bin/sync

echo "PLEASE SEND $report_tgz TO SUPPORT"

rm -Rf "$report_dir"

DEV_NAME=`cat /etc/mtab | grep "^/dev/sd.. /k2mnt/USB" | awk '{print $1}'` && umount $DEV_NAME && mount $DEV_NAME /mnt && rmdir "/k2mnt/USB drive" && cp "$report_tgz" /mnt && umount $DEV_NAME
